"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("./rules");
/**
 * Get forced leading for rule
 * @param rule to parse
 * @return transform function applying the leading
 */
function getLeadingBlankFn(rule) {
    if (!rule || !(0, rules_1.ruleIsActive)(rule)) {
        return (input) => input;
    }
    const remove = (input) => {
        const fragments = input.split('\n');
        while (fragments.length > 0 && fragments[0] === '') {
            fragments.shift();
        }
        return fragments.join('\n');
    };
    const lead = (input) => {
        const fragments = input.split('\n');
        return fragments[0] === '' ? input : ['', ...fragments].join('\n');
    };
    return !(0, rules_1.ruleIsNotApplicable)(rule) ? lead : remove;
}
exports.default = getLeadingBlankFn;
//# sourceMappingURL=leading-blank-fn.js.map